### Constructor

# GimpUi PathComboBox new

since: 2.4

#### Declaration [src]

    GtkWidget*
    gimp_path_combo_box_new (
      GimpItemConstraintFunc constraint,
      gpointer data,
      GDestroyNotify data_destroy
    )

#### Description [src]

Creates a new `GimpIntComboBox` filled with all currently opened path objects. If a `constraint` function is specified, it is called for each path object and only if the function returns `TRUE`, the path object is added to the combobox.

You should use `gimp_int_combo_box_connect()` to initialize and connect the combo. Use `gimp_int_combo_box_set_active()` to set the active path ID and `gimp_int_combo_box_get_active()` to retrieve the ID of the selected path object.

Available since: 2.4

#### Parameters

`constraint`

  Type: `GimpItemConstraintFunc`

  A `GimpItemConstraintFunc` or `NULL`.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  A pointer that is passed to `constraint`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`data_destroy`

  Type: `GDestroyNotify`

  Destroy function for `data`.

#### Return value

Type: `GtkWidget`

A new `GimpIntComboBox`.

The data is owned by the called function.